This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 322981 - gutenprint-plugin does not print to paper size A5.
gutenprint-plugin does not print to paper size A5.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gutenprint (Show other bugs)
10
i386 Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
: Triaged
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2007-10-08 06:12 EDT by Erik P. Olsen
Modified: 2009-12-18 10:24 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:59:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
LaserJet.ppd (7.76 KB, application/x-gzip)
2007-10-09 11:28 EDT, Erik P. Olsen
no flags Details

  None (edit)
Description Erik P. Olsen 2007-10-08 06:12:02 EDT
Description of problem:
I have an image which is created to the paper size A5. When printing the image
from GIMP I set the media size to A5 and insert A5 paper in my printer (HP
LaserJet 2200D). However, the output is printed as if it were on A4 paper. A4 is
the default value entered for the printer. If I change the default value to A5
the print comes out correctly.


Version-Release number of selected component (if applicable): 
GIMP 2.2.15
GIMP-PRINT 4.2.7
CUPS 1.2.8


How reproducible:
As described above and each time.
Comment 1 Tim Waugh 2007-10-09 08:33:51 EDT
Please attach the PPD file you are using.  It will be in /etc/cups/ppd/ and will
be named the same as the queue name but with '.ppd' at the end.

(Note: FC-5 is no longer supported, but the bug may still be present in newer
versions depending on what the cause is.)
Comment 2 Erik P. Olsen 2007-10-09 11:28:22 EDT
Created attachment 221401 [details]
LaserJet.ppd

Attachment as per your request.
Comment 3 Tim Waugh 2008-01-10 12:35:03 EST
Do you still see this problem in Fedora?  Which version are you now running?
Comment 4 Erik P. Olsen 2008-02-05 17:53:44 EST
I have now installed F7 and with that GIMP 2.4.3 and I am sorry to inform that I
still see the problem. When I use A5 sized paper it prints as if the sheet is an
area in the middle of an A4 paper and the image is printed on the lower left
part of that imaginary A4 paper. If you would like to see how it looks like I'll
be happy to attach a scanned image of the print on an A5 sized paper.
Comment 5 Tim Waugh 2008-02-25 11:58:59 EST
It sounds like GIMP is not adding 'PageSize=A5' to the CUPS options when
submitting the print job.  I just tried this with Fedora 8 and 'File->Print'
(instead of 'File->Print With Gutenprint'), and 'PageSize=A5' does get added to
the job options -- the resulting job prints correctly.

Trying the same thing with File->Print With Gutenprint fails in that the
document content is printed too far down the page and falls off the end.

So I think the problem is gutenprint-plugin.

In Fedora 8 onwards the work-around is: using 'File->Print' instead of
'File->Print With Gutenprint'.
Comment 6 Erik P. Olsen 2008-02-25 17:04:16 EST
I don't think Gutenprint is being used with Fedora 7, so when it comes to F7 the
bug is still there.
Comment 7 Bug Zapper 2008-11-25 21:00:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-11-18 07:22:04 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 00:59:22 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Erik P. Olsen 2009-12-18 10:24:37 EST
OK. I've recently installed fedora 12 and it seems that the problem is fixed here.

Note You need to log in before you can comment on or make changes to this bug.